Программа: Nuked-Klan 1.7 SP4.3, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "query" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://[host]/index.php?file=Admin&page=user&query=[code]

2. Уязвимость существует из-за того, что приложение не проверяет подлинность HTTP GET запросов. Удаленный пользователь может создать специально сформированную ссылку и управлять SQL запросами c помощью параметра "query" в сценарии index.php.

Пример:

http://[host]/index.php?file=Admin&page=user&query=[code]

Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.



Оставить мнение